# List Payouts

Endpoint: GET /payouts
Version: V5
Security: bearerAuth, basicAuth

## Query parameters:

  - `filter` (string)
    Filter records by the specified fields.
  
Filter semantics: `filter[field][operator]=value`.

Available filter operators:
  - `eq` - equal (=)
  - `ne` - not equal (!=)
  - `gt` - greater than (>)
  - `gte` - greater than or equal (>=)
  - `lt` - less than (<)
  - `lte` - less than or equal  (<=)

Filtering is allowed by the following fields:
  - `status` (`eq`)
  - `expected_by` (`eq`, `gt`, `lt`, `gte`, `lte`)
  - `created_at` (`eq`, `gt`, `lt`, `gte`, `lte`)

Example: `filter[created_at][gt]=2022-10-30T14:00:00.000Z`

Note: filter with the `eq` operator is equivalent to the following filter `filter[field]=value`

  - `sort` (string)
    Sort records by the specified fields.

The sort order for each sort field is ascending unless it is prefixed with a minus,
in which case it is descending.

Multiple sort fields supported by allowing comma-separated sort fields. Sort fields will be applied in the order specified.

Sorting is allowed by the following fields: `id`, `created_at`.

Example: `sort=id,-created_at`

## Response 200 fields (application/json):

  - `limit` (integer)
    Example: 25

  - `page` (integer)
    Example: 1

  - `results` (array)

  - `results.id` (string)
    Unique identifier of the Payout.
    Example: PMMlaE5wbg0

  - `results.amount_gross` (integer)
    Total gross amount of all payout transactions
    Example: 120

  - `results.amount_fee` (integer)
    Total fee amount of all payout transactions
    Example: 20

  - `results.amount_net` (integer)
    Total net amount of all payout transactions.
    Example: 100

  - `results.status` (string)
    Current status of the Payout.  `pending` = the payout is created by Resolve, pending to be sent to our bank.  `in_transit` = the payment or payout has been sent to our bank and is pending their execution.  `paid` = the payment or payout amount was successfully deposited.  `failed` = the payment or payout amount did not successfully deposit.  `canceled` = the payment or payout in Resolve's system was not sent to or executed by the bank.
    Enum: "pending", "in_transit", "paid", "failed", "canceled"

  - `results.retry_payout_id` (string)
    Payout id being retried.
    Example: PMMlaE5wbg0

  - `results.failed_at` (string)
    Date time of when the Payout failed.
    Example: 2022-09-06T03:08:37.508Z

  - `results.expected_by` (string)
    Date time of when we expect the Payout to reach the participating entity's bank.
    Example: 2022-09-06T03:08:37.508Z

  - `results.transactions_starting_at` (string)
    This value is the earliest value for payout_transaction.created_at AND payout_transaction.payout_id = payout.id.

  - `results.transactions_ending_at` (string)
    This value is the latest value for payout_transaction.created_at AND payout_transaction.payout_id = payout.id.

  - `results.canceled_at` (string)
    Date time of when the Payout was canceled.
    Example: 2022-09-06T03:08:37.508Z

  - `results.created_at` (string)
    Date time of when the Payout was created.
    Example: 2022-09-06T03:08:37.508Z

  - `results.updated_at` (string)
    Date time of when the Payout was last updated.
    Example: 2022-09-06T03:08:37.508Z

## Response 400 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Validation error

  - `error.type` (string)
    A short string, describing error type
    Enum: "validation_error"

  - `error.details` (array)

  - `error.details.path` (string)
    Path to the field failed validation
    Example: path.to.field

  - `error.details.message` (string)
    Detailed description of the error
    Example: `[field]` is required

## Response 401 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Invalid merchant credentials

  - `error.type` (string)
    A short string, describing error type
    Enum: "authentication_error"

## Response 429 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Too many requests

  - `error.type` (string)
    A short string, describing error type
    Enum: "rate_limit_error"

